const
  winner : array[0..1] of string = ('Second', 'First');
  maxn = 100000;

function min(i : integer) : char;
begin
  result := '0';
  if (i = 1) then
    result := '1';
end;

var
  i, n : integer;
  s : string;
  good : boolean;

begin
 reset(input, 'game.in');
 rewrite(output,  'game.out');
 readln(s);
 n := length(s);
 assert((1 <= n) and (n <= maxn));
 good := true;
 assert(s[1] >= '1');
 for i := 1 to n do begin
   assert(('0' <= s[i]) and (s[i] <= '9'));
   if (n mod 2) <> (i mod 2) then begin
     if (s[i] <> min(i)) then begin
       good := false;
     end;
   end;
 end;
 if (good) then begin
   writeln(winner[n mod 2]);
 end else begin
   writeln(winner[1 - n mod 2]);
 end;
end.
